Subject: Re: [Cellar] FFV1 Version 4
From: Michael Niedermayer <[email-masked]>
To: Kieran O Leary <[email-masked]>
Cc: [email-masked]
Date: Tue, 5 Jan 2016 17:09:40 +0100
List-Id: Codec Encoding for LossLess Archiving and Realtime transmission <cellar.ietf.org>

Hi

On Tue, Jan 05, 2016 at 02:22:46PM +0000, Kieran O Leary wrote:
> Hello,
> 
> I saw on your charter that a milestone for September 2016 is "Submit
> specification for FFV1 video codec version 4 to IESG (Standards Track)".
> https://datatracker.ietf.org/wg/cellar/charter/
> 
> Is there any information or roadmap available about proposed changes from
> version 3 to version 4? I'm asking as the added features of Version 3 were
> significant for moving image archives, and I'm curious to know what version
> 4 may look like.

i dont know about roundmaps but what might be in the next version
i guess depends largly on what volunteers do (spec, implementation
and testing wise)
support for bayer "pixel" formats and maybe paletted formats could
be in it. Some compression improvments by using inter frame prediction
would be an idea too. But i think 2016-sep is too soon for complex
additions like inter frames. All these things require trying multiple
solutions and testing/evaluating how they perform comression, speed
and complexity wise to see what makes sense to add to the spec

> 
> Best regards,
> 
> Kieran O'Leary.

> _______________________________________________
> Cellar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cellar

-- 
Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

When you are offended at any man's fault, turn to yourself and study your
own failings. Then you will forget your anger. -- Epictetus